# Generated by Django 2.2.2 on 2019-08-08 20:09

import django.core.validators
from django.db import migrations, models
import edc_model.validators.date


class Migration(migrations.Migration):

    dependencies = [("ambition_prn", "0031_auto_20190802_1507")]

    operations = [
        migrations.AlterField(
            model_name="historicalstudyterminationconclusion",
            name="ambi_duration",
            field=models.IntegerField(
                blank=True, null=True, verbose_name="Ambisome treatment duration"
            ),
        ),
        migrations.AlterField(
            model_name="historicalstudyterminationconclusion",
            name="ambi_start_date",
            field=models.DateField(
                blank=True,
                null=True,
                validators=[edc_model.validators.date.date_not_future],
                verbose_name="Ambisome start date",
            ),
        ),
        migrations.AlterField(
            model_name="historicalstudyterminationconclusion",
            name="ambi_stop_date",
            field=models.DateField(
                blank=True,
                null=True,
                validators=[edc_model.validators.date.date_not_future],
                verbose_name="Ambisome end date",
            ),
        ),
        migrations.AlterField(
            model_name="historicalstudyterminationconclusion",
            name="ampho_start_date",
            field=models.DateField(
                blank=True,
                null=True,
                validators=[edc_model.validators.date.date_not_future],
                verbose_name="Amphotericin B start date",
            ),
        ),
        migrations.AlterField(
            model_name="historicalstudyterminationconclusion",
            name="ampho_stop_date",
            field=models.DateField(
                blank=True,
                null=True,
                validators=[edc_model.validators.date.date_not_future],
                verbose_name="Amphotericin B end date",
            ),
        ),
        migrations.AlterField(
            model_name="historicalstudyterminationconclusion",
            name="antibiotic_other",
            field=models.TextField(
                blank=True,
                null=True,
                verbose_name="If other antibiotics, please specify",
            ),
        ),
        migrations.AlterField(
            model_name="historicalstudyterminationconclusion",
            name="drug_intervention_other",
            field=models.TextField(
                blank=True, null=True, verbose_name="If other, please specify"
            ),
        ),
        migrations.AlterField(
            model_name="historicalstudyterminationconclusion",
            name="flucon_duration",
            field=models.IntegerField(
                blank=True, null=True, verbose_name="Fluconazole treatment duration"
            ),
        ),
        migrations.AlterField(
            model_name="historicalstudyterminationconclusion",
            name="flucon_start_date",
            field=models.DateField(
                blank=True,
                null=True,
                validators=[edc_model.validators.date.date_not_future],
                verbose_name="Fluconazole start date",
            ),
        ),
        migrations.AlterField(
            model_name="historicalstudyterminationconclusion",
            name="flucon_stop_date",
            field=models.DateField(
                blank=True,
                null=True,
                validators=[edc_model.validators.date.date_not_future],
                verbose_name="Fluconazole end date",
            ),
        ),
        migrations.AlterField(
            model_name="historicalstudyterminationconclusion",
            name="flucy_duration",
            field=models.IntegerField(
                blank=True, null=True, verbose_name="Flucytosine treatment duration"
            ),
        ),
        migrations.AlterField(
            model_name="historicalstudyterminationconclusion",
            name="flucy_start_date",
            field=models.DateField(
                blank=True,
                null=True,
                validators=[edc_model.validators.date.date_not_future],
                verbose_name="Flucytosine start date",
            ),
        ),
        migrations.AlterField(
            model_name="historicalstudyterminationconclusion",
            name="flucy_stop_date",
            field=models.DateField(
                blank=True,
                null=True,
                validators=[edc_model.validators.date.date_not_future],
                verbose_name="Flucytosine end date",
            ),
        ),
        migrations.AlterField(
            model_name="historicalstudyterminationconclusion",
            name="medicine_other",
            field=models.TextField(
                blank=True, null=True, verbose_name="If other, please specify"
            ),
        ),
        migrations.AlterField(
            model_name="historicalstudyterminationconclusion",
            name="units",
            field=models.IntegerField(
                blank=True,
                null=True,
                validators=[django.core.validators.MinValueValidator(1)],
                verbose_name="If YES, number of units",
            ),
        ),
        migrations.AlterField(
            model_name="studyterminationconclusion",
            name="ambi_duration",
            field=models.IntegerField(
                blank=True, null=True, verbose_name="Ambisome treatment duration"
            ),
        ),
        migrations.AlterField(
            model_name="studyterminationconclusion",
            name="ambi_start_date",
            field=models.DateField(
                blank=True,
                null=True,
                validators=[edc_model.validators.date.date_not_future],
                verbose_name="Ambisome start date",
            ),
        ),
        migrations.AlterField(
            model_name="studyterminationconclusion",
            name="ambi_stop_date",
            field=models.DateField(
                blank=True,
                null=True,
                validators=[edc_model.validators.date.date_not_future],
                verbose_name="Ambisome end date",
            ),
        ),
        migrations.AlterField(
            model_name="studyterminationconclusion",
            name="ampho_start_date",
            field=models.DateField(
                blank=True,
                null=True,
                validators=[edc_model.validators.date.date_not_future],
                verbose_name="Amphotericin B start date",
            ),
        ),
        migrations.AlterField(
            model_name="studyterminationconclusion",
            name="ampho_stop_date",
            field=models.DateField(
                blank=True,
                null=True,
                validators=[edc_model.validators.date.date_not_future],
                verbose_name="Amphotericin B end date",
            ),
        ),
        migrations.AlterField(
            model_name="studyterminationconclusion",
            name="antibiotic_other",
            field=models.TextField(
                blank=True,
                null=True,
                verbose_name="If other antibiotics, please specify",
            ),
        ),
        migrations.AlterField(
            model_name="studyterminationconclusion",
            name="drug_intervention_other",
            field=models.TextField(
                blank=True, null=True, verbose_name="If other, please specify"
            ),
        ),
        migrations.AlterField(
            model_name="studyterminationconclusion",
            name="flucon_duration",
            field=models.IntegerField(
                blank=True, null=True, verbose_name="Fluconazole treatment duration"
            ),
        ),
        migrations.AlterField(
            model_name="studyterminationconclusion",
            name="flucon_start_date",
            field=models.DateField(
                blank=True,
                null=True,
                validators=[edc_model.validators.date.date_not_future],
                verbose_name="Fluconazole start date",
            ),
        ),
        migrations.AlterField(
            model_name="studyterminationconclusion",
            name="flucon_stop_date",
            field=models.DateField(
                blank=True,
                null=True,
                validators=[edc_model.validators.date.date_not_future],
                verbose_name="Fluconazole end date",
            ),
        ),
        migrations.AlterField(
            model_name="studyterminationconclusion",
            name="flucy_duration",
            field=models.IntegerField(
                blank=True, null=True, verbose_name="Flucytosine treatment duration"
            ),
        ),
        migrations.AlterField(
            model_name="studyterminationconclusion",
            name="flucy_start_date",
            field=models.DateField(
                blank=True,
                null=True,
                validators=[edc_model.validators.date.date_not_future],
                verbose_name="Flucytosine start date",
            ),
        ),
        migrations.AlterField(
            model_name="studyterminationconclusion",
            name="flucy_stop_date",
            field=models.DateField(
                blank=True,
                null=True,
                validators=[edc_model.validators.date.date_not_future],
                verbose_name="Flucytosine end date",
            ),
        ),
        migrations.AlterField(
            model_name="studyterminationconclusion",
            name="medicine_other",
            field=models.TextField(
                blank=True, null=True, verbose_name="If other, please specify"
            ),
        ),
        migrations.AlterField(
            model_name="studyterminationconclusion",
            name="units",
            field=models.IntegerField(
                blank=True,
                null=True,
                validators=[django.core.validators.MinValueValidator(1)],
                verbose_name="If YES, number of units",
            ),
        ),
    ]
